Bug 221251 - [GTK][WPE] Reduce the use of SoupURI in preparation for libsoup3
Summary: [GTK][WPE] Reduce the use of SoupURI in preparation for libsoup3
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: Gtk
Depends on:
Blocks: libsoup3
  Show dependency treegraph
 
Reported: 2021-02-02 02:08 PST by Carlos Garcia Campos
Modified: 2021-02-03 00:30 PST (History)
5 users (show)

See Also:


Attachments
Patch (7.34 KB, patch)
2021-02-02 02:10 PST, Carlos Garcia Campos
aperez: review+
aperez: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Garcia Campos 2021-02-02 02:08:47 PST
SoupURI is gone in libsoup3.
Comment 1 Carlos Garcia Campos 2021-02-02 02:10:24 PST
Created attachment 418976 [details]
Patch
Comment 2 EWS Watchlist 2021-02-02 02:11:02 PST
Thanks for the patch. If this patch contains new public API please make sure it follows the guidelines for new WebKit2 GTK+ API. See https://trac.webkit.org/wiki/WebKitGTK/AddingNewWebKit2API
Comment 3 Adrian Perez 2021-02-02 06:42:16 PST
Comment on attachment 418976 [details]
Patch

Patch LGTM, but please make the style checker happy before landing =)
Comment 4 Carlos Garcia Campos 2021-02-03 00:30:30 PST
Committed r272301: <https://trac.webkit.org/changeset/272301>